/*
 * считывает данные из порта и устанавливает соответствующий уровень на порту
 * 00H - установит высокий уровень на 0-м порту
 * 01L - установит низкий уровень на 1-м порту
 * 
 */

char val = 0;       // variable to store the data from the serial port
char port1 = 0;
char port2 = 0;
int p=0;

void setup() {
  Serial.begin(9600);        // connect to the serial port
}

void loop () {
  if( Serial.available() ) {
    port1 = Serial.read();     // read the  port 
    port2 = Serial.read(); 
    val = Serial.read(); 
    Serial.print(port1); Serial.print(" "); Serial.println((int)port1);
    Serial.print(port2); Serial.print(" "); Serial.println((int)port2);
    Serial.println(val);
    int p1=(int)port1-48;
    int p2=(int)port2-48;
    p=p1*10+p2;
    pinMode(p,OUTPUT); 
    if( val == 'H' || val == 'h' ) 
    {
      digitalWrite(p, HIGH);
    } 
    else
    {
      if(val=='L' || val == 'l')
      {
        digitalWrite(p, LOW);
      }
    }
  }
  delay(10);
}
 
